## bio-tradis 1.4.5+dfsg2

=== Makefile ===
CC=			gcc
CFLAGS=		-g -Wall -O2 -fPIC #-m64 #-arch ppc
DFLAGS=		-D_FILE_OFFSET_BITS=64 -D_USE_KNETFILE -DBGZF_CACHE
LOBJS=		bgzf.o kstring.o knetfile.o index.o bedidx.o
AOBJS=		main.o
PROG=		tabix bgzip
INCLUDES=
SUBDIRS=	.
LIBPATH=
LIBCURSES=	

.SUFFIXES:.c .o

.c.o:
		$(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $< -o $@

all-recur lib-recur clean-recur cleanlocal-recur install-recur:
		@target=`echo $@ | sed s/-recur//`; \
		wdir=`pwd`; \
		list='$(SUBDIRS)'; for subdir in $$list; do \
			cd $$subdir; \
			$(MAKE) CC="$(CC)" DFLAGS="$(DFLAGS)" CFLAGS="$(CFLAGS)" \
				INCLUDES="$(INCLUDES)" LIBPATH="$(LIBPATH)" $$target || exit 1; \
			cd $$wdir; \
		done;

all:$(PROG)

lib:libtabix.a

libtabix.so.1:$(LOBJS)
		$(CC) -shared -Wl,-soname,libtabix.so -o $@ $(LOBJS) -lc -lz

libtabix.1.dylib:$(LOBJS)
		libtool -dynamic $(LOBJS) -o $@ -lc -lz

libtabix.a:$(LOBJS)
		$(AR) -csru $@ $(LOBJS)

tabix:lib $(AOBJS)
		$(CC) $(CFLAGS) -o $@ $(AOBJS) -L. -ltabix -lm $(LIBPATH) -lz

bgzip:bgzip.o bgzf.o knetfile.o
		$(CC) $(CFLAGS) -o $@ bgzip.o bgzf.o knetfile.o -lz

TabixReader.class:TabixReader.java
		javac -cp .:sam.jar TabixReader.java

kstring.o:kstring.h
knetfile.o:knetfile.h
bgzf.o:bgzf.h knetfile.h
index.o:bgzf.h tabix.h khash.h ksort.h kstring.h
main.o:tabix.h kstring.h bgzf.h
bgzip.o:bgzf.h
bedidx.o:kseq.h khash.h

tabix.pdf:tabix.tex
		pdflatex tabix.tex

cleanlocal:
		rm -fr gmon.out *.o a.out *.dSYM $(PROG) *~ *.a tabix.aux tabix.log tabix.pdf *.class libtabix.*.dylib libtabix.so*

clean:cleanlocal-recur

## bio-tradis 1.3.3+dfsg

=== debian/changelog ===
bio-tradis (1.3.3+dfsg-3) unstable; urgency=medium

  * Standards-Version: 4.1.3
  * Downgrade r-bioc-edger from Depends to Suggests since the package
    was removed from Debian but people might consider local installations
    Closes: #890096
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Mon, 12 Feb 2018 15:13:51 +0100

bio-tradis (1.3.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add missing test dependencies.
    Closes: #866074

 -- Sascha Steinbiss <satta@debian.org>  Sat, 02 Sep 2017 08:58:54 +0200

bio-tradis (1.3.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.0.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2017 15:55:57 +0200

bio-tradis (1.3.1+dfsg-2) unstable; urgency=medium

  * Package is Architecture: all (thanks for the hint to Graham Inggs)

 -- Andreas Tille <tille@debian.org>  Thu, 04 May 2017 08:18:24 +0200

bio-tradis (1.3.1+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #856796)

 -- Andreas Tille <tille@debian.org>  Sat, 04 Mar 2017 18:58:42 +0100

=== debian/control ===
Source: bio-tradis
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper (>= 11~),
               libtrycatch-perl,
               libtest-most-perl,
               libtest-files-perl,
               libbio-perl-perl
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/bio-tradis.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/bio-tradis.git
Homepage: https://github.com/sanger-pathogens/Bio-Tradis

Package: bio-tradis
Architecture: all
Depends: ${perl:Depends},
         ${misc:Depends},
         smalt,
         samtools,
         tabix,
         r-base-core,
         r-cran-getopt,
         r-cran-mass
Suggests: artemis,
          r-bioc-edger,
Description: analyse the output from TraDIS analyses of genomic sequences
 Bio-Tradis contains a set of tools to analyse the output from
 TraDIS analyses.
 .
 The Bio-Tradis analysis pipeline is implemented as an extensible Perl
 library which can either be used as is, or as a basis for the
 development of more advanced analysis tools.
 .
 Please note: You need to manually install BioConductor Edger which can
 not be distributed by Debian in recent version since it is using
 non-distributable code locfit.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

TEST_FILES = $(shell find t -name "*.t")

%:
	dh $@

override_dh_install:
	dh_install
	find debian/*/usr/bin -name "*.R" -exec sh -c 'mv {} `echo {} | sed "s/\.R$$//"`' \;

override_dh_auto_test:
	dh_auto_test -- TEST_FILES="$(TEST_FILES)"

=== debian/watch ===
version=4

opts="uversionmangle=s/^1.1/1.1./,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/sanger-pathogens/Bio-Tradis/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## bio-tradis 1.4.1+dfsg

=== debian/changelog ===
bio-tradis (1.4.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Fix perl interpreter

 -- Andreas Tille <tille@debian.org>  Wed, 17 Oct 2018 11:56:52 +0200

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                libtest-most-perl,
                libtest-files-perl,
                libbio-perl-perl
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/bio-tradis.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/bio-tradis.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/med-team/bio-tradis
+Vcs-Git: https://salsa.debian.org/med-team/bio-tradis.git
 Homepage: https://github.com/sanger-pathogens/Bio-Tradis
 
 Package: bio-tradis
@@ -25,7 +25,7 @@
          r-cran-getopt,
          r-cran-mass
 Suggests: artemis,
-          r-bioc-edger,
+          r-bioc-edger
 Description: analyse the output from TraDIS analyses of genomic sequences
  Bio-Tradis contains a set of tools to analyse the output from
  TraDIS analyses.

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,10 @@
 override_dh_install:
 	dh_install
 	find debian/*/usr/bin -name "*.R" -exec sh -c 'mv {} `echo {} | sed "s/\.R$$//"`' \;
+	dh_install
+	for pl in `grep -Rl '#!/usr/bin/env[[:space:]]\+perl' debian/*/usr/*` ; do \
+	    sed -i '1s?^#!/usr/bin/env[[:space:]]\+perl?#!/usr/bin/perl?' $${pl} ; \
+	done
 
 override_dh_auto_test:
 	dh_auto_test -- TEST_FILES="$(TEST_FILES)"

## bio-tradis 1.4.5+dfsg2

=== debian/changelog ===
bio-tradis (1.4.5+dfsg2-2) unstable; urgency=medium

  * Fix watch file
  * Fix clean target
    Closes: #1043774
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * dh_install now works even without debian/install
  * r-bioc-edger is back in Debian thus move it to Recommends and
    drop the outdated debian/NEWS
  * artemis is available now thus move it to Recommends

 -- Andreas Tille <tille@debian.org>  Thu, 25 Jan 2024 15:34:52 +0100

bio-tradis (1.4.5+dfsg2-1) unstable; urgency=medium

  * Team upload.
  * debian/patches/samtools1.10: remove version parsing code that can't handle
    samtools version 1.10 (Closes: #947463)
  * Switch to cpan for the source
  * autopkgtests: ignore the tests that are not yet updated for
    samtools 1.10.x
  * Set fields Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact from debian/upstream/metadata.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 11 Jan 2020 16:41:24 +0100

bio-tradis (1.4.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Steffen Moeller <moeller@debian.org>  Wed, 04 Dec 2019 16:37:12 +0100

=== debian/control ===
Source: bio-tradis
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: perl
# Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: libbio-perl-perl,
                     libenv-path-perl,
                     libexception-class-perl,
                     libmoose-perl,
                     libtest-exception-perl,
                     libtest-files-perl,
                     libtest-most-perl,
                     libtest-simple-perl,
                     libtext-csv-perl,
                     libtry-tiny-perl,
                     perl,
                     samtools,
                     smalt,
                     tabix,
                     bwa
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/bio-tradis
Vcs-Git: https://salsa.debian.org/med-team/bio-tradis.git
Homepage: https://github.com/sanger-pathogens/Bio-Tradis
Rules-Requires-Root: no

Package: bio-tradis
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libbio-perl-perl,
         libexception-class-perl,
         libmoose-perl,
         libtext-csv-perl,
         libtry-tiny-perl,
         smalt,
         samtools,
         tabix,
         r-base-core,
         r-cran-getopt,
         r-cran-mass
Recommends: artemis,
            r-bioc-edger
Description: analyse the output from TraDIS analyses of genomic sequences
 Bio-Tradis contains a set of tools to analyse the output from
 TraDIS analyses.
 .
 The Bio-Tradis analysis pipeline is implemented as an extensible Perl
 library which can either be used as is, or as a basis for the
 development of more advanced analysis tools.
 .
 Please note: You need to manually install BioConductor Edger which can
 not be distributed by Debian in recent version since it is using
 non-distributable code locfit.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1
export LC_ALL=C.UTF-8

%:
	dh $@

override_dh_install:
	dh_install
	for pl in `grep -Rl '#!/usr/bin/env[[:space:]]\+perl' debian/*/usr/*` ; do \
	    sed -i '1s?^#!/usr/bin/env[[:space:]]\+perl?#!/usr/bin/perl?' $${pl} ; \
	done
	mv debian/bio-tradis/usr/bin/tradis_comparison.R debian/bio-tradis/usr/bin/tradis_comparison
	mv debian/bio-tradis/usr/bin/tradis_essentiality.R debian/bio-tradis/usr/bin/tradis_essentiality

override_dh_installman:
	dh_installman
	rm debian/bio-tradis/usr/share/man/man1/tradis_merge_plots.1p*

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test || true
endif

=== debian/watch ===
version=4
opts="uversionmangle=s/^1.1/1.1./,repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
https://metacpan.org/release/Bio-Tradis   .*/Bio-Tradis-v?@ANY_VERSION@@ARCHIVE_EXT@$
